# $Id: CreateWav.pm,v 1.1 2003/01/01 21:37:30 joern Exp $

#-----------------------------------------------------------------------
# Copyright (C) 2001-2002 Jrn Reder <joern@zyn.de> All Rights Reserved
# 
# This program is part of Video::DVDRip, which is free software; you can
# redistribute it and/or modify it under the same terms as Perl itself.
#-----------------------------------------------------------------------

package Video::DVDRip::Job::CreateWav;

use base Video::DVDRip::Job::TranscodeVideo;

use Carp;
use strict;

sub type {
	return "wav";
}

sub info {
	my $self = shift; $self->trace_in;

	my $info = "Generating WAV from audio - title #".$self->title->nr;
	my $nr   = $self->title->audio_track->tc_nr;
	
	$info .= ", track #$nr";
	
	return $info;
}

sub get_diskspace_needed {
	my $self = shift; $self->trace_in;

	my $sample_rate = $self->title->audio_track->sample_rate;
	my $runtime = $self->title->runtime;
	
	return int($runtime * $sample_rate * 2 / 1024);
}

sub get_diskspace_freed {
	return 0;
}

sub command {
	my $self = shift; $self->trace_in;

	return $self->title->get_create_wav_command;
}

sub commit {
	my $self = shift;

	1;
}

1;
